<?php
	
	$marketing_campaigns_tp_theme_css = '';

	// 1st color
	$marketing_campaigns_tp_color_option_first = get_theme_mod('marketing_campaigns_tp_color_option_first', '#128DFC');
	if ($marketing_campaigns_tp_color_option_first) {
		$marketing_campaigns_tp_theme_css .= ':root {';
		$marketing_campaigns_tp_theme_css .= '--color-primary1: ' . esc_attr($marketing_campaigns_tp_color_option_first) . ';';
		$marketing_campaigns_tp_theme_css .= '}';
	}
	
	// preloader
	$marketing_campaigns_tp_preloader_color1_option = get_theme_mod('marketing_campaigns_tp_preloader_color1_option');
	if($marketing_campaigns_tp_preloader_color1_option != false){
	$marketing_campaigns_tp_theme_css .='.center1{';
		$marketing_campaigns_tp_theme_css .='border-color: '.esc_attr($marketing_campaigns_tp_preloader_color1_option).' !important;';
	$marketing_campaigns_tp_theme_css .='}';
	}
	if($marketing_campaigns_tp_preloader_color1_option != false){
	$marketing_campaigns_tp_theme_css .='.center1 .ring::before{';
		$marketing_campaigns_tp_theme_css .='background: '.esc_attr($marketing_campaigns_tp_preloader_color1_option).' !important;';
	$marketing_campaigns_tp_theme_css .='}';
	}

	$marketing_campaigns_tp_preloader_color2_option = get_theme_mod('marketing_campaigns_tp_preloader_color2_option');

	if($marketing_campaigns_tp_preloader_color2_option != false){
	$marketing_campaigns_tp_theme_css .='.center2{';
		$marketing_campaigns_tp_theme_css .='border-color: '.esc_attr($marketing_campaigns_tp_preloader_color2_option).' !important;';
	$marketing_campaigns_tp_theme_css .='}';
	}
	if($marketing_campaigns_tp_preloader_color2_option != false){
	$marketing_campaigns_tp_theme_css .='.center2 .ring::before{';
		$marketing_campaigns_tp_theme_css .='background: '.esc_attr($marketing_campaigns_tp_preloader_color2_option).' !important;';
	$marketing_campaigns_tp_theme_css .='}';
	}

	$marketing_campaigns_tp_preloader_bg_color_option = get_theme_mod('marketing_campaigns_tp_preloader_bg_color_option');

	if($marketing_campaigns_tp_preloader_bg_color_option != false){
	$marketing_campaigns_tp_theme_css .='.loader{';
		$marketing_campaigns_tp_theme_css .='background: '.esc_attr($marketing_campaigns_tp_preloader_bg_color_option).';';
	$marketing_campaigns_tp_theme_css .='}';
	}

	$marketing_campaigns_tp_footer_bg_color_option = get_theme_mod('marketing_campaigns_tp_footer_bg_color_option');


	if($marketing_campaigns_tp_footer_bg_color_option != false){
	$marketing_campaigns_tp_theme_css .='#footer{';
		$marketing_campaigns_tp_theme_css .='background: '.esc_attr($marketing_campaigns_tp_footer_bg_color_option).';';
	$marketing_campaigns_tp_theme_css .='}';
	}

	// logo tagline color
	$marketing_campaigns_site_tagline_color = get_theme_mod('marketing_campaigns_site_tagline_color');

	if($marketing_campaigns_site_tagline_color != false){
	$marketing_campaigns_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$marketing_campaigns_tp_theme_css .='color: '.esc_attr($marketing_campaigns_site_tagline_color).';';
	$marketing_campaigns_tp_theme_css .='}';
	}

	$marketing_campaigns_logo_tagline_color = get_theme_mod('marketing_campaigns_logo_tagline_color');
	if($marketing_campaigns_logo_tagline_color != false){
	$marketing_campaigns_tp_theme_css .='p.site-description{';
	$marketing_campaigns_tp_theme_css .='color: '.esc_attr($marketing_campaigns_logo_tagline_color).';';
	$marketing_campaigns_tp_theme_css .='}';
	}

	// footer widget title color
	$marketing_campaigns_footer_widget_title_color = get_theme_mod('marketing_campaigns_footer_widget_title_color');
	if($marketing_campaigns_footer_widget_title_color != false){
	$marketing_campaigns_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$marketing_campaigns_tp_theme_css .='color: '.esc_attr($marketing_campaigns_footer_widget_title_color).';';
	$marketing_campaigns_tp_theme_css .='}';
	}

	// copyright text color
	$marketing_campaigns_footer_copyright_text_color = get_theme_mod('marketing_campaigns_footer_copyright_text_color');
	if($marketing_campaigns_footer_copyright_text_color != false){
	$marketing_campaigns_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$marketing_campaigns_tp_theme_css .='color: '.esc_attr($marketing_campaigns_footer_copyright_text_color).'!important;';
	$marketing_campaigns_tp_theme_css .='}';
	}

	// header image title color
	$marketing_campaigns_header_image_title_text_color = get_theme_mod('marketing_campaigns_header_image_title_text_color');
	if($marketing_campaigns_header_image_title_text_color != false){
	$marketing_campaigns_tp_theme_css .='.box-text h2{';
	$marketing_campaigns_tp_theme_css .='color: '.esc_attr($marketing_campaigns_header_image_title_text_color).';';
	$marketing_campaigns_tp_theme_css .='}';
	}

	// menu color
	$marketing_campaigns_menu_color = get_theme_mod('marketing_campaigns_menu_color');
	if($marketing_campaigns_menu_color != false){
	$marketing_campaigns_tp_theme_css .='.main-navigation a{';
	$marketing_campaigns_tp_theme_css .='color: '.esc_attr($marketing_campaigns_menu_color).';';
	$marketing_campaigns_tp_theme_css .='}';
}


//Footer Font Weight
$marketing_campaigns_footer_copyright_title_font_weight = get_theme_mod( 'marketing_campaigns_footer_copyright_title_font_weight','');
if($marketing_campaigns_footer_copyright_title_font_weight == '100'){
$marketing_campaigns_tp_theme_css .='#footer .site-info p {';
    $marketing_campaigns_tp_theme_css .='font-weight: 100;';
$marketing_campaigns_tp_theme_css .='}';
}else if($marketing_campaigns_footer_copyright_title_font_weight == '200'){
$marketing_campaigns_tp_theme_css .='#footer .site-info p {';
    $marketing_campaigns_tp_theme_css .='font-weight: 200;';
$marketing_campaigns_tp_theme_css .='}';
}else if($marketing_campaigns_footer_copyright_title_font_weight == '300'){
$marketing_campaigns_tp_theme_css .='#footer .site-info p {';
    $marketing_campaigns_tp_theme_css .='font-weight: 300;';
$marketing_campaigns_tp_theme_css .='}';
}else if($marketing_campaigns_footer_copyright_title_font_weight == '400'){
$marketing_campaigns_tp_theme_css .='#footer .site-info p {';
    $marketing_campaigns_tp_theme_css .='font-weight: 400;';
$marketing_campaigns_tp_theme_css .='}';
}else if($marketing_campaigns_footer_copyright_title_font_weight == '500'){
$marketing_campaigns_tp_theme_css .='#footer .site-info p {';
    $marketing_campaigns_tp_theme_css .='font-weight: 500;';
$marketing_campaigns_tp_theme_css .='}';
}else if($marketing_campaigns_footer_copyright_title_font_weight == '600'){
$marketing_campaigns_tp_theme_css .='#footer .site-info p {';
    $marketing_campaigns_tp_theme_css .='font-weight: 600;';
$marketing_campaigns_tp_theme_css .='}';
}else if($marketing_campaigns_footer_copyright_title_font_weight == '700'){
$marketing_campaigns_tp_theme_css .='#footer .site-info p {';
    $marketing_campaigns_tp_theme_css .='font-weight: 700;';
$marketing_campaigns_tp_theme_css .='}';
}else if($marketing_campaigns_footer_copyright_title_font_weight == '800'){
$marketing_campaigns_tp_theme_css .='#footer .site-info p {';
    $marketing_campaigns_tp_theme_css .='font-weight: 800;';
$marketing_campaigns_tp_theme_css .='}';
}else if($marketing_campaigns_footer_copyright_title_font_weight == '900'){
$marketing_campaigns_tp_theme_css .='#footer .site-info p {';
    $marketing_campaigns_tp_theme_css .='font-weight: 900;';
$marketing_campaigns_tp_theme_css .='}';
}